*******************************************************************************
* "Multinationals, Monopsony, and Local Development: Evidence from the United Fruit Company"
* Esteban Méndez and Diana Van Patten
*
*******************************************************************************
*Figure 6: Differences in Spending UFCo vs Government
version 16.1
clear all

set more off

*Path to the folder where dataset is located 
global dirdata "..."

*Path to the final outputs (figures)
global dirout "..."

************************* (a) Spending per Student **************************
clear all

*Load data
use "$dirdata/spending_student.dta", replace

*Set time series
tsset year

tsline National UFCo, recast(connected) msymbol(O S X) lp(solid dash dot) graphregion(color(white)) ///
ytitle("Spending per student (million 2015 CRC)") xtitle("Year") legend(size(small)) ///
legend(label(1 "Costa Rican Goverment") label(2 "UFCo"))

graph export "$dirout/Figure 6_a.jpg", width(1600) height(1000) replace 

************************* (b) Spending per Patient **************************
clear all

*Load data
use "$dirdata/spending_patient.dta", replace

*Set time series
tsset year

tsline HospitalSanJuandeDios UFCOpayroll UFCOnotpayroll, recast(connected) msymbol(O S X) lp(solid dash dot) graphregion(color(white)) ///
ytitle("Spending per Patient (CRC)") xtitle("Year") legend(size(small)) ///
legend(label(1 "San Juan de Dios Hospital") label(2 "UFCo's hospitals (payroll)") ///
label(3 "UFCo's hospitals (not in payroll)"))

graph export "$dirout/Figure 6_b.jpg", width(1600) height(1000) replace