*******************************************************************************
* "Multinationals, Monopsony, and Local Development: Evidence from the United Fruit Company"
* Esteban Méndez and Diana Van Patten
*
*******************************************************************************
*Figure A.1: Banana and Coffee (Percentage of Total Costa Rican Exports), 1883-1918
*Figure A.2: UFCo Employees as Percentage of Costa Rican Labor Force, 1912-1976
version 16.1
clear all

set more off

*Path to the folder where dataset is located 
global dirdata "..."

*Path to the final outputs (figures)
global dirout "..."

** Figure A.1: Banana and Coffee (Percentage of Total Costa Rican Exports), 1883-1918 **
clear all

*Load data
use "$dirdata/banana_coffee_exports.dta", replace

*Set time series
tsset year

tsline  per_banana per_coffee, recast(connected) msymbol(O S X) lp(solid dash) graphregion(color(white)) ///
ytitle("Percent of Total Exports (%)") xtitle("Year") legend(label(1 "Bananas") label(2 "Coffee"))

*Export figure
graph export "$dirout/Figure A1.jpg", width(1600) height(1000) replace

** Figure A.2: UFCo Employees as Percentage of Costa Rican Labor Force, 1912-1976
clear all

*Load data
use "$dirdata/UFCo_employees.dta", replace

*Set time series
tsset year

tsline  per_pae per_pae_agri, recast(connected) msymbol(O S X) cmissing(n n) lp(solid dash) graphregion(color(white)) ///
ytitle("Percent (%)") xtitle("Year") legend(label(1 "% of Total Labor Force") label(2 "% of Agricultural Labor Force"))

*Export figure
graph export "$dirout/Figure A2.jpg", width(1600) height(1000) replace